## erlang-asciideck 0.0+git20170714.48cbfe8b

=== Makefile ===
# See LICENSE for licensing information.

PROJECT = asciideck
PROJECT_DESCRIPTION = Asciidoc for Erlang.
PROJECT_VERSION = 0.1.0

# Options.

CI_OTP ?= OTP-18.0.3 OTP-18.1.5 OTP-18.2.4.1 OTP-18.3.4.4 OTP-19.0.7 OTP-19.1.5
CI_HIPE ?= $(lastword $(CI_OTP))
CI_ERLLVM ?= $(CI_HIPE)

# Dependencies.

TEST_DEPS = ct_helper
dep_ct_helper = git https://github.com/ninenines/ct_helper master

include erlang.mk

=== debian/changelog ===
erlang-asciideck (0.0+git20170714.48cbfe8b-2) unstable; urgency=medium

  * Fix FTBFS on kFreeBSD. (Closes: #871625)]
    Add patches/0001-Add-support-kfreebsd.patch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 Aug 2017 13:02:18 +0900

erlang-asciideck (0.0+git20170714.48cbfe8b-1) unstable; urgency=medium

  * Initial release. (Closes: #868271)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 Jul 2017 06:47:58 +0900

=== debian/control ===
Source: erlang-asciideck
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               erlang-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-leofs/erlang-asciideck.git
Vcs-Git: https://anonscm.debian.org/git/pkg-leofs/erlang-asciideck.git
Homepage: https://github.com/ninenines/asciideck

Package: erlang-asciideck
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Erlang library for asciidoc
 The `asciideck` project aims to provide a parser for Asciidoc
 files returning an abstract syntax tree that can be further
 manipulated or used to convert documents to different formats.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=asciideck
VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')

%:
	dh $@

override_dh_auto_build:
	make V=1
	make docs V=1

override_dh_auto_install:
	dh_auto_install
	install -d \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin
	install -m 644 ebin/* \
		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/ebin/

override_dh_gencontrol-arch:
	erlang-depends -a -perlang-asciideck
	dh_gencontrol -a -perlang-asciideck

override_dh_compress:
	dh_compress -X.erl -X.beam -X.md

override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
	 https://github.com/ninenines/asciideck/tags .*/(?:v||asciideck[_\-])(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
